# -*- coding: utf-8 -*-
from odoo import models


class Survey(models.Model):
    _inherit = 'survey.survey'


    def get_base_url(self):
        """ This method allow us to use a different domain name for our surveys.
            It is used to fix an issue where multi tab users are trying to open a survey.

            The issue is happening when an Odoo.com tab is already open and considered as master
            for the longpolling.
            Your browser will throttle the code execution on this tab, thus preventing the survey
            to be updated in real time.

            By changing the survey URL, we reduce the chance of this happening.
        """

        # retrieve the survey base url
        survey_base_url = self.env['ir.config_parameter'].sudo().get_param('survey.base.url')
        # if no `survey.base.url` has been set, then we call super
        if not survey_base_url:
            return super().get_base_url()

        return survey_base_url
